// ========================================
/* highlight day and cities in table according the event under the mouse */
function scheduleHighlightEvent (day, cities) {
    jQuery ('div.cityBubble div.bubble').each (function () {
	jQuery (this).hide ();
    });
    scheduleHighlightPOI (cities);
    jQuery ('div.schedule table.short div.mapSelect').each (function () {
	var showDay = jQuery (this);
	var today = showDay.attr ('day');
	if (day && today == day)
	    showDay.show ();
	else
	    showDay.hide ();
    });
}

// ========================================
/* highlight all days in table according the city under the mouse */
function scheduleHighlightDays (city) {
    jQuery ('div.cityBubble div.bubble').each (function () {
	jQuery (this).hide ();
    });
    if (!city) {
	jQuery ('div.poiPin').removeClass("poiPinPop poiPinLight").addClass("poiPinPush");
	jQuery ('div.schedule table.short div.mapSelect').hide ();
	return;
    }
    jQuery ('div.cityBubble[city="'+city+'"] div.bubble').each (function () {
	jQuery (this).show ();
    });
    jQuery ('div.schedule table.short div.mapSelect').each (function () {
	var showDay = jQuery (this);
	var cities = showDay.attr ('cities');
	if (!cities) {
	    showDay.hide ();
	    return;
	}
	if ((','+cities+',').indexOf (city)>=0)
	    showDay.show ();
	else
	    showDay.hide ();
    });
    jQuery ('div.poiPin').each (function () {
	var showPOI = jQuery (this);
	if (city == showPOI.attr ('city'))
	    showPOI.removeClass("poiPinPush poiPinLight").addClass("poiPinPop");
	else
	    showPOI.removeClass("poiPinPop poiPinLight").addClass("poiPinLight");
    });
}

// ========================================
/* highlight all cities on the map according the day under the mouse */
function scheduleHighlightPOI (cities) {
    if (!cities) {
	jQuery ('div.poiPin').removeClass("poiPinPop poiPinLight").addClass("poiPinPush");
	jQuery ('div.schedule table.short div.mapSelect').hide ();
	return;
    }
    jQuery ('div.poiPin').each (function () {
	var showPOI = jQuery (this);
	var city = showPOI.attr ('city');
	if (city && (','+cities+',').indexOf (city)>=0)
	    showPOI.removeClass("poiPinPush poiPinLight").addClass("poiPinPop");
	else
	    showPOI.removeClass("poiPinPop poiPinLight").addClass("poiPinLight");
    });
}
// ========================================
function scheduleChangeDate (obj, ns, mapId, date) {
    var table = jQuery (obj).closest ("table")[0];
    scheduleSend (table,
		  DOKU_BASE+"lib/plugins/schedule/ajax.php",
		  "schd[ns]="+ns+"&schd[mapId]="+mapId+"&schd[action]=changeDate&schd[date]="+date);
}

// ========================================
function scheduleSelectDate (date) {
    jQuery ("#scheduleFrom").val (date);
}

// ========================================
